/ comp / gb.qt / dialog / selectdirectory
Dialog.SelectDirectory (gb.qt)
Syntax

    STATIC FUNCTION SelectDirectory ( ) AS Boolean

Calls the file standard dialog to get an existing directory name.

Returns TRUE if the user clicked on the Cancel button, and FALSE if the user clicked on the OK button.

This example list all files in a directory selected by the user. If the user cancels the dialog then the list is not displayed.

### Examples

    PUBLIC SUB ButtonDirectory_Click()
      DIM fileName AS String
      IF Dialog.SelectDirectory() THEN RETURN
      FOR EACH fileName IN Dir(Dialog.Path)
        PRINT Dialog.Path &/ fileName
      NEXT
    END